com.amazonaws.services.codecommit.model

## Class Commit

- java.lang.Object
- - com.amazonaws.services.codecommit.model.Commit

All Implemented Interfaces:
  Serializable, Cloneable

    public class Commit
    extends Object
    implements Serializable, Cloneable

Returns information about a specific commit.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Commit()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Commit` `clone()`
`boolean` `equals(Object obj)`
`String` `getAdditionalData()` Any additional data associated with the specified commit.
`UserInfo` `getAuthor()` Information about the author of the specified commit.
`UserInfo` `getCommitter()` Information about the person who committed the specified commit, also known as the committer.
`String` `getMessage()` The message associated with the specified commit.
`List<String>` `getParents()` The parent list for the specified commit.
`String` `getTreeId()` Tree information for the specified commit.
`int` `hashCode()`
`void` `setAdditionalData(String additionalData)` Any additional data associated with the specified commit.
`void` `setAuthor(UserInfo author)` Information about the author of the specified commit.
`void` `setCommitter(UserInfo committer)` Information about the person who committed the specified commit, also known as the committer.
`void` `setMessage(String message)` The message associated with the specified commit.
`void` `setParents(Collection<String> parents)` The parent list for the specified commit.
`void` `setTreeId(String treeId)` Tree information for the specified commit.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Commit` `withAdditionalData(String additionalData)` Any additional data associated with the specified commit.
`Commit` `withAuthor(UserInfo author)` Information about the author of the specified commit.
`Commit` `withCommitter(UserInfo committer)` Information about the person who committed the specified commit, also known as the committer.
`Commit` `withMessage(String message)` The message associated with the specified commit.
`Commit` `withParents(Collection<String> parents)` The parent list for the specified commit.
`Commit` `withParents(String... parents)` The parent list for the specified commit.
`Commit` `withTreeId(String treeId)` Tree information for the specified commit.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Commit

    public Commit()

### Method Detail

#### setTreeId

    public void setTreeId(String treeId)

Tree information for the specified commit.

Parameters:
  `treeId` - Tree information for the specified commit.

#### getTreeId

    public String getTreeId()

Tree information for the specified commit.

Returns:
  Tree information for the specified commit.

#### withTreeId

    public Commit withTreeId(String treeId)

Tree information for the specified commit.

Parameters:
  `treeId` - Tree information for the specified commit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getParents

    public List<String> getParents()

The parent list for the specified commit.

Returns:
  The parent list for the specified commit.

#### setParents

    public void setParents(Collection<String> parents)

The parent list for the specified commit.

Parameters:
  `parents` - The parent list for the specified commit.

#### withParents

    public Commit withParents(String... parents)

The parent list for the specified commit.

NOTE: This method appends the values to the existing list (if any). Use `setParents(java.util.Collection)` or `withParents(java.util.Collection)` if you want to override the existing values.

Parameters:
  `parents` - The parent list for the specified commit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withParents

    public Commit withParents(Collection<String> parents)

The parent list for the specified commit.

Parameters:
  `parents` - The parent list for the specified commit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

The message associated with the specified commit.

Parameters:
  `message` - The message associated with the specified commit.

#### getMessage

    public String getMessage()

The message associated with the specified commit.

Returns:
  The message associated with the specified commit.

#### withMessage

    public Commit withMessage(String message)

The message associated with the specified commit.

Parameters:
  `message` - The message associated with the specified commit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAuthor

    public void setAuthor(UserInfo author)

Information about the author of the specified commit.

Parameters:
  `author` - Information about the author of the specified commit.

#### getAuthor

    public UserInfo getAuthor()

Information about the author of the specified commit.

Returns:
  Information about the author of the specified commit.

#### withAuthor

    public Commit withAuthor(UserInfo author)

Information about the author of the specified commit.

Parameters:
  `author` - Information about the author of the specified commit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCommitter

    public void setCommitter(UserInfo committer)

Information about the person who committed the specified commit, also known as the committer. For more information about the difference between an author and a committer in Git, see Viewing the Commit History in Pro Git by Scott Chacon and Ben Straub.

Parameters:
  `committer` - Information about the person who committed the specified commit, also known as the committer. For more information about the difference between an author and a committer in Git, see Viewing the Commit History in Pro Git by Scott Chacon and Ben Straub.

#### getCommitter

    public UserInfo getCommitter()

Information about the person who committed the specified commit, also known as the committer. For more information about the difference between an author and a committer in Git, see Viewing the Commit History in Pro Git by Scott Chacon and Ben Straub.

Returns:
  Information about the person who committed the specified commit, also known as the committer. For more information about the difference between an author and a committer in Git, see Viewing the Commit History in Pro Git by Scott Chacon and Ben Straub.

#### withCommitter

    public Commit withCommitter(UserInfo committer)

Information about the person who committed the specified commit, also known as the committer. For more information about the difference between an author and a committer in Git, see Viewing the Commit History in Pro Git by Scott Chacon and Ben Straub.

Parameters:
  `committer` - Information about the person who committed the specified commit, also known as the committer. For more information about the difference between an author and a committer in Git, see Viewing the Commit History in Pro Git by Scott Chacon and Ben Straub.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAdditionalData

    public void setAdditionalData(String additionalData)

Any additional data associated with the specified commit.

Parameters:
  `additionalData` - Any additional data associated with the specified commit.

#### getAdditionalData

    public String getAdditionalData()

Any additional data associated with the specified commit.

Returns:
  Any additional data associated with the specified commit.

#### withAdditionalData

    public Commit withAdditionalData(String additionalData)

Any additional data associated with the specified commit.

Parameters:
  `additionalData` - Any additional data associated with the specified commit.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Commit clone()

Overrides:
  `clone` in class `Object`